Install CakePHP 1.3.4 di openSUSE 11.3

5 10 2010

Pengen belajar CakePHP… mudah – mudahan tidak terlalu sulit beralih dari scripting PHP biasa🙂 Perasaan belajar mulu dah!

Berikut ini sedikit pengalaman menginstall CakePHP 1.3.4 di openSUSE 11.3. Seharusnya install CakeOHO sangat sederhana, cuma download, extract dan mainkan. Tapi ternyata PHP5.3 yang datang bersama openSUSE 11.3 bermasalah dengan CakePHP. Instalasi default akan memberikan bonus error seperti:

opensuse 11.3  strtotime() [http://php.net/function.strtotime]: It is not safe to rely on the system’s timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected ‘Asia/Jakarta’ for ‘WIT/7.0/no DST’ instead [CORE/cake/libs/cache.php, line 570]

Dan setelah googling, cara fixnya lumayan simple. Salah satu caranya adalah dengan menambahkan baris

date_default_timezone_set(“Asia/Jakarta”);

di bagian paling atas setelah tag PHP tentunya di file cake/libs/cache.php. Beres. Tapi kapan punya waktu untuk belajarnya ya? Kerjaan kantor numpuk!😦


Actions

Information

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s




%d bloggers like this: